Package picard.illumina.parser

## Class MultiTileParser<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>

- java.lang.Object
- - picard.illumina.parser.MultiTileParser<OUTPUT_RECORD>

- Type Parameters:
    `OUTPUT_RECORD` - The kind of record to be returned (as opposed to the type of the record stored in the file).
  All Implemented Interfaces:
    `Iterator<OUTPUT_RECORD>`
  Direct Known Subclasses:
    `MultiTileFilterParser`, `MultiTileLocsParser`

      public abstract class MultiTileParser<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>
      extends Object

  Abstract class for files with fixed-length records for multiple tiles, e.g. .locs and .filter files.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiTileParser​(TileIndex tileIndex, List<Integer> requestedTiles, Set<IlluminaDataType> supportedTypes)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `int` | `getTileOfNextCluster()` |
    `boolean` | `hasNext()` |
    `OUTPUT_RECORD` | `next()` |
    `void` | `remove()` |
    `void` | `seekToTile​(int oneBasedTileNumber)` |
    `Set<IlluminaDataType>` | `supportedTypes()` |
    `void` | `verifyData​(List<Integer> tiles, int[] cycles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### MultiTileParser

          public MultiTileParser​(TileIndex tileIndex,
                                 List<Integer> requestedTiles,
                                 Set<IlluminaDataType> supportedTypes)

      Parameters:
        `tileIndex` - Enables conversion from tile number to record number in this file.
        `requestedTiles` - Iterate over these tile numbers, which must be in ascending order.
        `supportedTypes` - The data types(s) that are provided by this file type, used to decide what file types to read.

  - ### Method Detail

    - #### seekToTile

          public void seekToTile​(int oneBasedTileNumber)

    - #### next

          public OUTPUT_RECORD next()

      Specified by:
        `next` in interface `Iterator<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>`

    - #### getTileOfNextCluster

          public int getTileOfNextCluster()

    - #### verifyData

          public void verifyData​(List<Integer> tiles,
                                 int[] cycles)

    - #### supportedTypes

          public Set<IlluminaDataType> supportedTypes()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>`

    - #### close

          public abstract void close()